package room

import (
	"game/common/baseroom"
	"game/common/model/user"
)

type ColorPlayer struct {
	user.User
	gateTopicName string
	roomId        int
}

func (p *ColorPlayer) Id() int64 {
	return p.ID
}

func (p *ColorPlayer) Robot() baseroom.IRobot {
	return nil
}

func (p *ColorPlayer) GateTopicName() string {
	return p.gateTopicName
}

func (p *ColorPlayer) RoomId() int {
	return p.roomId
}
